Bug 129712 - Headers are not completely compatible with the i386 headers
Headers are not completely compatible with the i386 headers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 19:55 EDT by Miloslav Trmač
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 07:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 632 None None None Never

  None (edit)
Description Miloslav Trmač 2004-08-11 19:55:29 EDT
Version-Release number of selected component (if applicable):
2.3.3-39

While most header files protect differences between x86_64 and
i386 by #if... __WORDSIZE == 64 (to preserver binary compatibility
with i386 when compiled with gcc -m32), there are a few exceptions:

bits/fenv.h: x86_64 has an added __mxcsr member in fenv_t
bits/mathdef.h: x86_64 has float_t, double_t == float, double,
        should be long double for i386
bits/wchar.h: __WCHAR_MIN and WCHAR_MAX have type int even for 32-bit
        mode

gnu/lib-names.h: several differences
gnu/stubs.h: several differences
sys/elf.h: completely missing on x86_64
sys/procfs.h: several differences
sys/vm86.h: completely missing on x86_64
Comment 1 Bill Nottingham 2004-08-11 20:59:29 EDT
32 bit vm86() doesn't work in 64-bit mode, so not sure having
sys/vm86.h there helps. :)
Comment 3 Jakub Jelinek 2005-03-01 07:40:30 EST
Together with the recent changes for e.g. gnu/lib-names.h and gnu/stubs.h,
I think all that is needed is fixed by now.

Note You need to log in before you can comment on or make changes to this bug.